org.eclipse.ease.ui.debugging.model

## Class AbstractEaseDebugModelPresentation

- java.lang.Object
- - org.eclipse.ease.ui.debugging.model.AbstractEaseDebugModelPresentation

All Implemented Interfaces:
  IBaseLabelProvider, ILabelProvider

Direct Known Subclasses:
  PythonDebugModelPresentation, RhinoDebugModelPresentation

    public abstract class AbstractEaseDebugModelPresentation
    extends java.lang.Object
    implements ILabelProvider

### Constructor Summary

Constructors
Constructor and Description
`AbstractEaseDebugModelPresentation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addListener(ILabelProviderListener listener)`
`void` `dispose()`
`IEditorInput` `getEditorInput(java.lang.Object element)`
`Image` `getImage(java.lang.Object element)`
`java.lang.String` `getText(java.lang.Object element)`
`boolean` `isLabelProperty(java.lang.Object element, java.lang.String property)`
`void` `removeListener(ILabelProviderListener listener)`
`void` `setAttribute(java.lang.String attribute, java.lang.Object value)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractEaseDebugModelPresentation

    public AbstractEaseDebugModelPresentation()

### Method Detail

#### addListener

    public void addListener(ILabelProviderListener listener)

Specified by:
  `addListener` in interface `IBaseLabelProvider`

#### removeListener

    public void removeListener(ILabelProviderListener listener)

Specified by:
  `removeListener` in interface `IBaseLabelProvider`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `IBaseLabelProvider`

#### isLabelProperty

    public boolean isLabelProperty(java.lang.Object element,
                                   java.lang.String property)

Specified by:
  `isLabelProperty` in interface `IBaseLabelProvider`

#### getImage

    public Image getImage(java.lang.Object element)

Specified by:
  `getImage` in interface `ILabelProvider`

#### getText

    public java.lang.String getText(java.lang.Object element)

Specified by:
  `getText` in interface `ILabelProvider`

#### setAttribute

    public void setAttribute(java.lang.String attribute,
                             java.lang.Object value)

#### getEditorInput

    public IEditorInput getEditorInput(java.lang.Object element)